Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class XMLUtils.ParserErrorHandler

    java.lang.Object
      |
      +--org.apache.axis.utils.XMLUtils.ParserErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  XMLUtils

public static class XMLUtils.ParserErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`XMLUtils.ParserErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException spe)`
`void` | `fatalError(org.xml.sax.SAXParseException spe)`
`void` | `warning(org.xml.sax.SAXParseException spe)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### XMLUtils.ParserErrorHandler

    public XMLUtils.ParserErrorHandler()

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException spe)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException spe)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException spe)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.